Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class AbstractResourceConstructor

    java.lang.Object
      com.sun.jersey.api.model.AbstractResourceConstructor

All Implemented Interfaces:
  AbstractModelComponent, Parameterized

    public class AbstractResourceConstructor

extends java.lang.Object
implements Parameterized, AbstractModelComponent

Abstraction for a resource class constructor

Constructor Summary
`AbstractResourceConstructor(java.lang.reflect.Constructor constructor)` Creates a new instance of AbstractResourceConstructor

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`java.lang.reflect.Constructor` | `getCtor()`
`java.util.List<Parameter>` | `getParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResourceConstructor

    public AbstractResourceConstructor(java.lang.reflect.Constructor constructor)

  Creates a new instance of AbstractResourceConstructor

Method Detail

### getParameters

    public java.util.List<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Parameterized`

### getCtor

    public java.lang.reflect.Constructor getCtor()

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.